@import url("Common.css");
@import url('../components/planeloader.css');
@import url('../components/holidayupdatepopup.css');
@import url('../search/SearchTab.css');
@import url('../search/SearchTabCalendar.css');
/*************************PRODUCT PAGE *************************/

.productDetailPage .sticky {
    position: sticky;
    top: -1px;
    background: white;
    z-index: 999;
    box-shadow: 0px 3px 4px 0px var(--general-box-shadow-color);
}

.productDetailPage .accordion .accordion-body {
    padding: 8px 10px 20px 10px;
}

.productDetailPage .accordion-header {
    margin-bottom: 20px;
}

    .productDetailPage .accordion-header .accordion-button {
        color: var(--dark-text-color) !important;
        font-size: 20px;
        font-weight: 700;
        border-radius: var(--main-border-radius) !important;
        border: 1px solid var(--dark-text-color) !important;
    }

        .productDetailPage .accordion-header .accordion-button:after {
            background: url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTBweCcgaGVpZ2h0PScxNnB4JyB2aWV3Qm94PScwIDAgMTAgMTYnIHZlcnNpb249JzEuMScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJyB4bWxuczp4bGluaz0naHR0cDovL3d3dy53My5vcmcvMTk5OS94bGluayc+PGcgaWQ9J1BhZ2UtMScgc3Ryb2tlPSdub25lJyBzdHJva2Utd2lkdGg9JzEnIGZpbGw9J25vbmUnIGZpbGwtcnVsZT0nZXZlbm9kZCcgc3Ryb2tlLWxpbmVjYXA9J3JvdW5kJyBzdHJva2UtbGluZWpvaW49J3JvdW5kJz48ZyBpZD0nTGlzdHZpZXcnIHRyYW5zZm9ybT0ndHJhbnNsYXRlKC0xMTIuMDAwMDAwLCAtMTIwLjAwMDAwMCknIHN0cm9rZT0nIzAyYWFhOScgc3Ryb2tlLXdpZHRoPScyLjE3OCc+PHBvbHlsaW5lIGlkPSdQYXRoJyBwb2ludHM9JzExNCAxMjIgMTIwIDEyOCAxMTQgMTM0Jz48L3BvbHlsaW5lPjwvZz48L2c+PC9zdmc+') no-repeat center center !important;
            opacity: 1;
        }
.productDetailPage #room-accordion .accordion-header {
    margin-bottom: 0;
}
#room-accordion .rooms-box {
    border-radius: var(--main-border-radius) !important;
    overflow: hidden;
    margin: 10px 0;
    border: 1px solid lightgray;
}
#room-accordion .room-header div {
    color: #fff !important;
    font-weight: 600;
    padding: 10px 0px;
    padding-left: 10px;
}
#room-accordion .room-body .sec1, .HO .room-body .sec2 {
    border-right: 1px solid lightgray;
}
#room-accordion .room-body {
    border-bottom: 1px solid lightgray;
}
#room-accordion .room-body.selected {
    background-color: #ECFFFF;
}
#room-accordion .room-body .boardBasisBtn {
    padding: 10px;
    background: var(--primary-color);
    border-radius: var(--main-border-radius);
    color: white;
    text-align: center;
    font-size: 16px;
    font-weight: 700;
    width: 100%;
    margin: 5px 0px;
    cursor: pointer;
    position: relative;
}
#room-accordion .room-body .boardBasisBtn.selected {
    border: 2px solid;
    color: var(--primary-color);
    background: white;
    text-align: left !important;
}
#room-accordion .section-title.room {
    font-size: 22px;
    padding: 20px 0px;
}
#room-accordion .room-body .boardBasisBtn .selected-tick {
    position: absolute;
    right: 0;
    padding: 12px 3px;
    top: 50%;
    transform: translateY(-50%);
    background: var(--primary-color);
    color: white;
    height: 105%;
    border-radius: 0px var(--small-border-radius) var(--small-border-radius) 0px;
    vertical-align: middle;
}
#room-accordion .facilityImg{
    width:20px;
}
#room-accordion .room-body .view-details {
    color: var(--link-blue);
    cursor: pointer;
    text-decoration: underline;
}
#room-accordion .room-header .primary2-background::before {
    content: '';
    position: absolute;
    top: 40px;
    left: 35%;
    border-style: solid;
    border-width: 0px 20px 20px 20px;
    border-color: transparent transparent var(--primary-color-2) transparent;
    transform: translateX(-50%);
    rotate: 180deg;
}
#room-accordion .room-body .was-price {
    color: red;
    font-size: 14px !important;
    text-decoration: line-through;
    font-weight: 500;
}
.accordion #room-accordion .accordion-header .btn, .accordion #room-accordion .accordion-header .accordion-button {
    box-shadow: none !important;
    justify-content: flex-start !important;
    border-radius: 0 !important;
    width: 100%;
    text-align: left !important;
    font-weight: 400;
    background: 0 0;
    font-size: 15px;
    padding: 8px 50px 8px 16px;
    border: 0 !important;
    min-height: 50px;
    color: #141515;
}

.productDetailPage .alert-box-green {
    background: #dff6e1;
    padding: 15px 15px;
    border-radius: var(--main-border-radius) var(--main-border-radius) 0px 0px;
    display: inline-block;
    color: var(--dark-text-color);
    margin-bottom: 15px;
}

    .productDetailPage .alert-box-green strong {
        padding: 0px;
    }

    .productDetailPage .alert-box-green span {
        display: inline-block;
        width: auto;
        padding: 0px;
        font-weight: 600;
    }

    .productDetailPage .alert-box-green ion-icon {
        display: inline-block;
        font-size: 16px;
        width: 20px;
        padding: 0px;
    }


.productDetailPage .calendar-fields-sel {
    margin-bottom: 12px;
    font-size: 16px;
    color: #222222;
}

    .productDetailPage .calendar-fields-sel select {
        border: 1px solid #707070;
        border-radius: var(--main-border-radius);
        line-height: 2;
        font-size: 16px;
        padding: 10px 30px;
        -webkit-appearance: none;
        appearance: none;
        background-image: url("/assets-mobile/img/icon/chevron-down-outline.svg");
        background-size: 20px;
        background-repeat: no-repeat;
        background-position: calc(100% - 10px) center;
    }

    .productDetailPage .calendar-fields-sel label {
        padding: 0px 25px;
        font-weight: 700;
        margin-bottom: 5px;
    }

.productDetailPage .calendar-section {
    background: #ebebeb;
    border-radius: var(--main-border-radius);
}



.productDetailPage .flight-luggage-box {
    box-shadow: none;
    padding: 15px;
    border-radius: var(--main-border-radius);
    text-align: center;
    vertical-align: middle;
    border: 1px solid var(--dark-text-color);
}

    .productDetailPage .flight-luggage-box .row div {
        margin: auto;
    }

        .productDetailPage .flight-luggage-box .row div.cardLuggageImg img {
            max-height: 70px;
        }


    .productDetailPage .flight-luggage-box .luggage-title {
        font-weight: 700;
    }

    .productDetailPage .flight-luggage-box .luggage-price {
        font-weight: 700;
        font-size: 30px;
        font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
    }

    .productDetailPage .flight-luggage-box .luggage-text {
        display: block;
        font-size: 15px;
        font-weight: 500;
    }

    .productDetailPage .flight-luggage-box .luggage-divider-left {
        border-left: 1px solid #E1E1E1;
    }

    .productDetailPage .flight-luggage-box .stepper {
        width: auto;
    }

    .productDetailPage .flight-luggage-box .stepper-outline-primary .stepper-button:first-child {
        border-color: var(--primary-color);
        border-right: 2px solid var(--primary-color);
        border-radius: var(--main-border-radius);
        color: var(--primary-color);
        line-height: 1;
        font-size: 30px;
        width: 40px;
        height: 40px;
    }

    .productDetailPage .flight-luggage-box .stepper-outline-primary .form-control {
        border: none;
        color: #222222;
        font-size: 25px;
    }



    .productDetailPage .flight-luggage-box .stepper-outline-primary .stepper-button:last-child {
        border-color: var(--primary-color);
        border-left: 2px solid var(--primary-color);
        border-radius: var(--main-border-radius);
        color: var(--primary-color);
        line-height: 1;
        font-size: 30px;
        width: 40px;
        height: 40px;
    }


    .productDetailPage .flight-luggage-box .stepper-primary .stepper-button:first-child {
        background: var(--primary-color);
        border-color: var(--primary-color);
        border-right: 2px solid var(--primary-color);
        border-radius: var(--main-border-radius);
        color: white;
        line-height: 1;
        font-size: 30px;
        width: 40px;
        height: 40px;
    }

    .productDetailPage .flight-luggage-box .stepper-primary .form-control {
        border: none;
        color: #222222;
        font-size: 25px;
    }



    .productDetailPage .flight-luggage-box .stepper-primary .stepper-button:last-child {
        background: var(--primary-color);
        border-color: var(--primary-color);
        border-left: 2px solid var(--primary-color);
        border-radius: var(--main-border-radius);
        color: white;
        line-height: 1;
        font-size: 30px;
        width: 40px;
        height: 40px;
    }

    .productDetailPage .flight-luggage-box .luggage-price small {
        font-size: inherit;
        margin-right: 2px;
    }

    .productDetailPage .flight-luggage-box ion-icon {
        font-size: 30px;
        color: green;
    }

.productDetailPage .board-basis-item .board-basis-content {
    border: 1px solid #707070;
    border-radius: var(--main-border-radius);
    padding: 10px;
    text-align: center;
    cursor: pointer;
}

.productDetailPage .board-basis-item.active .board-basis-content {
    box-shadow: 2px 2px 5px 0px;
    border: 2px solid var(--primary-color);
}

.productDetailPage .board-basis-item .board-basis-content .board-title {
    line-height: 1;
    height: 25px;
    font-weight: 700;
    color: #707070;
}

.productDetailPage .board-basis-item .board-basis-content .board-noavail {
    font-size: 12px;
    margin-bottom: 5px;
}

.productDetailPage .board-basis-item .board-basis-content .board-price {
    font-size: 17px;
    font-weight: 700;
    margin-bottom: 5px;
    font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
}

    .productDetailPage .board-basis-item .board-basis-content .board-price small {
        font-size: inherit;
        font-weight: 500;
    }

.productDetailPage .board-basis-item .board-basis-content ion-icon {
    font-size: 30px;
}

    .productDetailPage .board-basis-item .board-basis-content ion-icon.board-selected {
        color: var(--primary-color);
    }

.productDetailPage .board-basis-item .board-basis-content:hover {
    box-shadow: 2px 2px 5px 0px;
}

    .productDetailPage .board-basis-item .board-basis-content:hover ion-icon {
        color: var(--primary-color);
    }

.productDetailPage .prod-side-nav {
    margin-top: 10px;
}

.productDetailPage .board-basis-item.active .board-basis-content {
}

.productDetailPage .board-basis-item.disabledBtn .board-basis-content {
    background: #ebebeb;
}

    .productDetailPage .board-basis-item.disabledBtn .board-basis-content:hover {
        box-shadow: none;
        border: 1px solid #707070;
        color: #707070;
        cursor: not-allowed;
    }

        .productDetailPage .board-basis-item.disabledBtn .board-basis-content:hover ion-icon {
            color: #707070;
        }


.productDetailPage .cp-calendar-footer {
}

    .productDetailPage .cp-calendar-footer .info-round-grey {
        display: inline-block;
        width: auto;
        background: #99a6af;
        color: white;
        font-weight: 700;
        padding: 5px 15px;
        border-radius: var(--main-border-radius);
    }

    .productDetailPage .cp-calendar-footer .info-square-primary {
        display: inline-block;
        background: var(--primary-color);
        color: white;
        padding: 5px 15px;
        float: right;
        margin: 0px 15px;
        border-radius: var(--small-border-radius);
    }

        .productDetailPage .cp-calendar-footer .info-square-primary i {
            margin-right: 7px;
        }


    .productDetailPage .cp-calendar-footer .cp-calendar-symbol {
        width: 30px;
        height: 30px;
        overflow: hidden;
        display: block;
        margin: auto;
    }

    .productDetailPage .cp-calendar-footer .cp-calendar-symbol-text {
        text-align: center;
        display: block;
    }

    .productDetailPage .cp-calendar-footer .cp-calendar-symbol img {
        width: 100%;
        margin: auto;
        vertical-align: baseline;
    }

    .productDetailPage .cp-calendar-footer .cp-calendar-symbol.selected {
        background: var(--primary-color);
        border: 1px solid #707070;
    }

    .productDetailPage .cp-calendar-footer .cp-calendar-symbol.best-price {
        background: green;
        border: 1px solid #707070;
        font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
    }

    .productDetailPage .cp-calendar-footer .cp-calendar-symbol.available {
        background: white;
        border: 1px solid #707070;
    }


.productDetailPage .board-basis-item {
    padding-left: 5px;
    padding-right: 5px;
}

.productDetailPage .board-basic-cont {
    padding: 15px;
}

    .productDetailPage .board-basic-cont .selectedTitle {
    }

        .productDetailPage .board-basic-cont .selectedTitle .primarycolor {
            color: var(--primary-color);
        }

        .productDetailPage .board-basic-cont .selectedTitle i {
            color: green;
            margin-right: 10px;
        }

    .productDetailPage .board-basic-cont p {
        margin-bottom: 0px;
        font-size: 18px;
    }

.room-details-box {
    border: 1px solid;
    border-radius: var(--main-border-radius);
}

    .room-details-box .room-usps {
        padding: 0px 25px;
    }


.room-details {
    text-align: right;
    padding: 5px 20px;
}

    .room-details a {
        color: var(--primary-color-2);
        text-decoration: underline;
        font-size: 15px;
    }

    .room-details .roomPopupLink {
        color: var(--link-blue);
        text-decoration: underline;
    }

.room-details-box .room-usps p {
    border: 1px solid var(--dark-text-color);
    display: inline-block;
    width: auto;
    border-radius: var(--small-border-radius);
    margin-right: 10px;
    font-size: 13px;
    line-height: 2;
    text-transform: capitalize;
}

    .room-details-box .room-usps p img {
        margin-top: -3px;
        max-height: 20px;
        filter:grayscale(1);
    }


.room-image-main {
    position: relative;
    border-radius: var(--main-border-radius);
    cursor: pointer;
}

    .room-image-main .room-title {
        position: absolute;
        background: rgba(16,68,67,0.6);
        width: 100%;
        padding: 10px 30px;
        border-radius: var(--main-border-radius) var(--main-border-radius) 0px 0px;
    }


        .room-image-main .room-title h3 {
            color: white;
            margin: 0px;
            font-size: 20px;
        }

    .room-image-main img {
        border-radius: var(--main-border-radius) var(--main-border-radius) 0px 0px;
    }


    .room-image-main .srMediaBtn {
        position: absolute;
        bottom: 0;
        left: 0px;
        background: rgba(0,0,0,0.4);
        padding: 15px;
        border-radius: 0px var(--main-border-radius) 0px var(--main-border-radius);
    }

    .room-image-main .srcamBtn {
        right: 0;
        position: absolute;
        bottom: 0;
        /* background: rgba(0,0,0,40%); */
        padding: 20px;
        border-radius: var(--main-border-radius) 0px var(--main-border-radius) 0px;
        color: white;
        font-size: 40px;
    }

    .room-image-main .srMediaBtn a {
        font-size: 30px;
        color: white;
    }

    .room-image-main .srcamBtn a {
        font-size: 40px;
        color: white;
        font-weight: 900;
    }

.room-details-box .room-options {
    width: 95%;
    margin: auto;
    border-radius: var(--small-border-radius);
    border: 1px solid #707070;
    margin-bottom: 15px;
}

    .room-details-box .room-options .nameCol {
        font-size: 16px;
        font-weight: 500;
        margin: auto;
        padding-left: 15px;
    }

    .room-details-box .room-options .btnCol.selected {
        border: 2px solid var(--primary-color);
        border-radius: 1px 0px;
        border-bottom: 0px;
    }

    .room-details-box .room-options .priceCol {
        margin: auto;
        text-align: right;
        font-size: 16px;
        font-weight: 700;
        font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
    }

    .room-details-box .room-options .btnCol {
        padding: 5px;
        position: relative;
    }

        .room-details-box .room-options .btnCol .boardBasisBtn {
            padding: 10px;
            background: var(--primary-color);
            border-radius: var(--small-border-radius);
            color: white;
            text-align: center;
            font-size: 16px;
            font-weight: 700;
            width: 100%;
            margin: 5px 0px;
            cursor: pointer;
        }

            .room-details-box .room-options .btnCol .boardBasisBtn:hover {
                background: var(--primary-color-2);
            }

    .room-details-box .room-options .priceCol small {
        font-size: inherit;
        font-weight: 500;
    }

    .room-details-box .room-options .priceCol .pppn-price {
        font-weight: 500;
    }

    .room-details-box .room-options .btnCol .boardBasisBtn.selected {
        border: none;
        color: var(--primary-color);
        background: white;
        text-align: left;
        padding-left: 5px;
        border: 2px solid;
    }

    .room-details-box .room-options.selected {
        box-shadow: 3px 3px 6px 0px rgba(0,0,0,0.25);
        border: 2px solid var(--primary-color);
    }

    .room-details-box .room-options .selected-tick {
        position: absolute;
        top: 0;
        right: 0;
        border: 25px solid transparent;
        border-right-color: var(--primary-color);
        border-top-color: var(--primary-color);
        border-radius: 0px 2px 0px 0px;
    }

        .room-details-box .room-options .selected-tick ion-icon {
            position: absolute;
            bottom: 0;
            color: #fff;
            display: block;
            font-size: 20px;
            --ionicon-stroke-width: 50px;
        }

    .room-details-box .room-options .btnCol .boardBasisBtn.selected {
        position: relative;
    }

    .room-details-box .room-options .btnCol.selected {
        border: 2px solid var(--primary-color);
        border-radius: 1px 0px;
        border-bottom: 0px;
    }

    .room-details-box .room-options .boardBasisBtn .selected-tick {
        border: 18px solid transparent;
        border-right-color: var(--primary-color);
        border-top-color: var(--primary-color);
    }

        .room-details-box .room-options .boardBasisBtn .selected-tick ion-icon {
            font-size: 16px;
        }

.roomDetailsPopup .modal-dialog .modal-content .carousel-room-thumbnail .splide__track {
    max-height: 150px;
    overflow: hidden;
}

.room-details-box.selected {
    border: 1px solid var(--primary-color);
}

.roomDetailsPopup .room-title {
    font-size: 24px;
    font-weight: 700;
    margin-top: 10px;
}

.roomDetailsPopup .room-usps {
    margin-top: 20px;
}

    .roomDetailsPopup .room-usps p {
        width: auto;
        display: inline-block;
        border: 1px solid #707070;
        border-radius: var(--small-border-radius);
        margin-right: 10px;
        margin-bottom: 10px;
        font-size: 12px;
    }

        .roomDetailsPopup .room-usps p img {
            max-height: 20px;
        }

.roomDetailsPopup .room-occupancy {
    font-weight: 700;
}

.roomDetailsPopup .room-size {
    font-weight: 700;
}

.roomDetailsPopup .room-sub-heading {
    font-weight: 700;
    font-size: 18px;
    margin-bottom: 10px;
}

.roomDetailsPopup .room-facilities ion-icon {
    color: black;
    font-size: 15px;
    font-weight: 700;
    --ionicon-stroke-width: 50px;
    margin: auto;
}

.roomDetailsPopup .room-facilities {
    line-height: 1.8;
    vertical-align: middle;
}


.alternativeFlightModal .modal-dialog {
    width: 80%;
    max-width: 1250px;
    margin: 0px auto;
}

    .alternativeFlightModal .modal-dialog .modal-content {
        height: 100vh !important;
    }

        .alternativeFlightModal .modal-dialog .modal-content .modal-body {
            max-height: 100%;
            overflow-y: scroll;
        }

        .alternativeFlightModal .modal-dialog .modal-content .modal-header .modal-title {
            font-size: 20px;
            font-weight: 700;
        }

            .alternativeFlightModal .modal-dialog .modal-content .modal-header .modal-title i {
                margin-right: 10px;
            }

.alternativeFlightModal .modal-content .modal-header .bodyCloseIcon {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 35px;
    color: gray;
}

.alternativeFlightModal .flightDetails {
    border-radius: var(--main-border-radius);
    border: 1px solid var(--dark-text-color);
    padding: 15px 20px;
    align-items: center !important;
    margin-bottom: 20px;
    position: relative;
    padding-bottom: 35px;
    box-shadow: 3px 3px 6px 0px rgba(0,0,0,0.16);
}

    .alternativeFlightModal .flightDetails .depart-block {
        font-size: 15px;
        margin-right: 0px;
    }

    .alternativeFlightModal .flightDetails .arrival-block {
        font-size: 15px;
        margin-right: 0px;
    }

    .alternativeFlightModal .flightDetails .flight-icon-block {
        flex: 1;
    }

    .alternativeFlightModal .flightDetails .flight-price-block {
        text-align: center;
    }

        .alternativeFlightModal .flightDetails .flight-price-block h3 {
            font-size: 30px;
            font-weight: bold;
            color: #222222;
            font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
        }

            .alternativeFlightModal .flightDetails .flight-price-block h3 small {
                font-size: inherit;
                font-weight: 600;
                color: #222222;
            }

        .alternativeFlightModal .flightDetails .flight-price-block .btn-sel-flight {
            width: 100%;
            font-size: 16px;
            font-weight: 700;
            background: var(--primary-color);
            color: white;
            border: none;
            border-radius: var(--main-border-radius);
            padding: 10px 5px;
        }

            .alternativeFlightModal .flightDetails .flight-price-block .btn-sel-flight.ctaProductBtn {
                background: var(--primary-color);
                color: white;
                margin: 10px;
            }

                .alternativeFlightModal .flightDetails .flight-price-block .btn-sel-flight.ctaProductBtn:hover {
                    background: var(--primary-color-2);
                }

        .alternativeFlightModal .flightDetails .flight-price-block .btnAtol img {
            width: 20px;
        }

    .alternativeFlightModal .flightDetails .secureSection {
        background: var(--dark-green);
        color: white;
        padding-left: 10px;
        line-height: 2;
        border-radius: var(--main-border-radius) 0px;
        position: absolute;
        right: 0;
        bottom: 0;
        width: 250px;
        font-size: 12px;
    }

    .alternativeFlightModal .flightDetails .flight-price-block .luggage-row img {
        width: 25px;
    }

    .alternativeFlightModal .flightDetails .flight-price-block .luggage-row {
        vertical-align: middle;
        margin-bottom: 20px;
        font-size: 14px;
    }

    .alternativeFlightModal .flightDetails .flight-price-block .selected-btn {
        margin: 25px 10px;
        font-size: 18px;
        color: var(--primary-color);
        font-weight: 700;
    }

.selected-btn {
}

.alternativeFlightModal .flightDetails .flight-price-block .btnAtol {
    margin-bottom: 0px;
    text-decoration: underline dotted;
}

.alternativeFlightModal .flightDetails .flight-price-block .selected-btn ion-icon {
    color: green;
    font-size: 25px;
    vertical-align: sub;
    margin-right: 10px;
}

.alternativeFlightModal .flightDetails .secureSection .depsotPricepp {
    float: right;
    background: red;
    padding: 0px 20px;
    font-weight: 700;
    border-radius: 0px 0px var(--main-border-radius) 0px;
    font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
}

.alternativeFlightModal .flightDetails .selected-tick {
    position: absolute;
    top: 0;
    right: 0;
    border: 30px solid transparent;
    border-right-color: var(--primary-color);
    border-top-color: var(--primary-color);
    border-radius: 0px var(--main-border-radius);
}

    .alternativeFlightModal .flightDetails .selected-tick ion-icon {
        position: absolute;
        bottom: 0;
        display: block;
        font-size: 25px;
        color: white;
        --ionicon-stroke-width: 50;
    }

.alternativeFlightModal .flightDetails .selected-tick {
    position: absolute;
    top: 0;
    right: 0;
    border: 30px solid transparent;
    border-right-color: var(--primary-color);
    border-top-color: var(--primary-color);
    border-radius: 0px var(--main-border-radius);
}

    .alternativeFlightModal .flightDetails .selected-tick ion-icon {
        position: absolute;
        bottom: 0;
        display: block;
        font-size: 25px;
        color: white;
        --ionicon-stroke-width: 50;
    }

.alternativeFlightModal .flightDetails.selected {
    border: 2px solid var(--primary-color);
    box-shadow: 3px 3px 6px 0px rgba(0,0,0,0.16);
}

#alternativeFlightModal .productDetailPage .accordion-header .accordion-button {
    border: none !important;
}


.productDetailPage .transfer-box {
    overflow: hidden;
}

    .productDetailPage .transfer-box img {
        border-radius: var(--main-border-radius);
        margin-bottom: 10px;
    }

    .productDetailPage .transfer-box .transfer-details {
        text-align: center;
    }

        .productDetailPage .transfer-box .transfer-details .transfer-name {
            padding: 0px 10px;
        }

        .productDetailPage .transfer-box .transfer-details .transfer-price {
            font-size: 14px;
            font-weight: 700;
        }

        .productDetailPage .transfer-box .transfer-details .formOptionBox.selected {
            border: 2px solid var(--primary-color) !important;
            position: relative;
        }

            .productDetailPage .transfer-box .transfer-details .formOptionBox.selected .selected-tick {
                position: absolute;
                top: 0;
                right: 0;
                border: 25px solid transparent;
                border-right-color: var(--primary-color);
                border-top-color: var(--primary-color);
                border-radius: 0px var(--main-border-radius) 0px 0px;
            }

                .productDetailPage .transfer-box .transfer-details .formOptionBox.selected .selected-tick ion-icon {
                    position: absolute;
                    bottom: 0;
                    color: white;
                    --ionicon-stroke-width: 50px;
                    font-size: 20px;
                }

        .productDetailPage .transfer-box .transfer-details .formOptionBox {
            padding: 20px;
            border-radius: var(--main-border-radius);
            height: 100%;
            border: 1px solid #707070;
        }

            .productDetailPage .transfer-box .transfer-details .formOptionBox.selected {
                padding: 20px;
                border-radius: var(--main-border-radius);
                height: 100%;
                border: 1px solid #707070;
            }

        .productDetailPage .transfer-box .transfer-details .selected-btn {
            margin: 5px;
            font-size: 15px;
            color: var(--primary-color);
            font-weight: 700;
            display: block;
            margin-top: 25px;
        }

            .productDetailPage .transfer-box .transfer-details .selected-btn ion-icon {
                color: green;
                font-size: 20px;
                vertical-align: sub;
                margin-right: 5px;
            }


        .productDetailPage .transfer-box .transfer-details .ctaProductBtn {
            width: 60%;
            font-size: 16px;
            font-weight: 700;
            display: block;
            margin: auto;
            border-radius: var(--small-border-radius);
            padding: 10px 5px;
            background: white;
            border: 2px solid var(--primary-color);
            color: var(--primary-color);
            margin-top: 10px;
            margin-bottom: 10px;
        }


.cp-calendar-footer .left-section {
    width: 99%;
}

.productCalaenderInfoBorder {
    font-size: 13px;
    font-weight: 600;
    padding-right: 20px;
    border-right: 1px solid var(--primary-text-color);
}

.productCalaenderInfo {
    font-size: 13px;
    font-weight: 600;
    padding-right: 20px;
}

    .productCalaenderInfo .price .currency {
        font-size: 35px;
        font-weight: 700;
        font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helveti;
        line-height: 1;
    }

    .productCalaenderInfo .total-price-row .total-price {
        font-size: 18px;
        font-weight: 600;
        margin-bottom: 0px;
        font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
    }
/*****************tooltip*********************/
.tooltip-basic {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

    .tooltip-basic.border {
        border-bottom: 1px dotted rgb(60, 78, 90);
    }

    .tooltip-basic .tooltip-text {
        visibility: hidden;
        width: 240px;
        background-color: var(--basic-tooltip-background);
        color: #fff;
        text-align: left;
        border-radius: var(--small-border-radius);
        padding: 10px;
        font-size: 14px;
        position: absolute;
        line-height: 1.5;
        z-index: 1;
        top: 75%;
        left: 50%;
        margin-left: -120px;
        opacity: .9;
    }

        .tooltip-basic .tooltip-text::after {
            content: "";
            position: absolute;
            bottom: 100%;
            left: 50%;
            margin-left: -5px;
            border-width: 5px;
            border-style: solid;
            border-color: transparent transparent var(--basic-tooltip-background) transparent;
        }

    .tooltip-basic:hover .tooltip-text {
        visibility: visible;
    }

    .tooltip-basic.sky .tooltip-text {
        background-color: var(--sky-tooltip-background);
        color: var(--primary-color);
    }

        .tooltip-basic.sky .tooltip-text::after {
            border-color: transparent transparent var(--sky-tooltip-background) transparent;
        }

    .tooltip-basic.flexible-changes {
        color: var(--dark-text-color);
    }

        .tooltip-basic.flexible-changes .tooltip-text {
            background-color: #f4f9f9;
            color: var(--dark-text-color);
            border: 1px solid var(--primary-text-color);
            opacity: 1;
            top: 100%;
            border-radius: var(--main-border-radius);
            padding: 15px;
        }

        .tooltip-basic.flexible-changes .alert {
            font-size: 20px;
        }

        .tooltip-basic.flexible-changes .tooltip-text h2 {
            font-size: 16px;
            font-weight: 700;
            color: inherit;
        }

        .tooltip-basic.flexible-changes .tooltip-text h4 {
            font-size: 13px;
            font-weight: 600;
            text-decoration: underline;
            color: inherit;
        }

        .tooltip-basic.flexible-changes .tooltip-text ul {
            padding-left: 10px;
            margin-bottom: 0;
            list-style: disc;
        }

            .tooltip-basic.flexible-changes .tooltip-text ul li {
                font-size: 10px;
            }

        .tooltip-basic.flexible-changes .tooltip-text::after {
            border-color: none;
        }

    .tooltip-basic.confirm-booking .tooltip-text {
        background: #000;
        top: -485%;
        margin-left: 0;
        border-radius: var(--main-border-radius);
    }

        .tooltip-basic.confirm-booking .tooltip-text::after {
            bottom: -6%;
            left: 5px;
            border-color: transparent transparent transparent #000;
            border-width: 8px;
        }

        .tooltip-basic.confirm-booking .tooltip-text h4 {
            font-size: 16px;
            font-weight: 600;
            color: inherit;
        }

        .tooltip-basic.confirm-booking .tooltip-text ul {
            padding-left: 10px;
            margin-bottom: 0;
            font-weight: 400;
            list-style: none;
        }

            .tooltip-basic.confirm-booking .tooltip-text ul li {
                font-size: 10px;
            }
/************************* PRODUCT PAGE END *************************/
/**** PRODUCT PAGE CALENDAR *****/
.fc-view.fc-month-view .fc-head .fc-widget-header {
    background: var(--primary-color-2);
    border-radius: var(--small-border-radius);
}

    .fc-view.fc-month-view .fc-head .fc-widget-header .fc-day-header {
        padding: 5px 0;
        color: white;
        font-size: 16px;
        font-weight: 500;
        text-align: center;
    }

.fc-view, .fc-view > table {
    position: relative;
    z-index: 1;
}

.fc table {
    width: 100%;
    box-sizing: border-box;
    table-layout: fixed;
    border-collapse: separate;
    border-spacing: 8px 1px;
    font-size: 1em;
}
.fc-view.fc-month-view .fc-content {
    font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
}
.fc-view.fc-month-view .fc-content-skeleton table thead td {
    border: none !important;
    height: 0;
    margin: 0;
    padding: 0;
}

.fc-view.fc-month-view .fc-content-skeleton table thead .fc-day-number {
    color: #535353;
    font-size: 15px;
    font-weight: 500;
    padding-left: 5px;
    padding-top: 5px;
    position: absolute;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content {
    height: 80px;
    background: white;
    border-radius: var(--small-border-radius);
    white-space: nowrap;
    overflow: hidden;
    position: relative;
    z-index: 2;
    /*border: 1px solid #a7a7a7;*/
    color: #535353;
}


.fc-view.fc-month-view .fc-row .fc-content-skeleton tbody td {
    border: 1px solid #a7a7a7;
    border-radius: var(--small-border-radius);
    height: 85px;
}

.fc-row .fc-content-skeleton {
    z-index: 4;
}

.fc-view.fc-month-view .fc-content.selected{
    background: var(--primary-color) !important;
    color: white !important;
}


.fc-view.fc-month-view .fc-row .fc-content-skeleton tbody td.fc-event-container {
    border: none;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content img.text_icon {
    width: 14px;
}


.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .day {
    font-size: 15px;
    padding-left: 5px;
    padding-top: 5px;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .topRow {
    position: absolute;
    top: 0;
    width: 100%;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .bottomRow {
    position: absolute;
    bottom: 0;
    width: 100%;
}

    .fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .bottomRow .calendar-icon.call-book {
        width: 100%;
        font-size: 10px;
        font-weight: 700;
        text-align: center;
    }

        .fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .bottomRow .calendar-icon.call-book img {
            width: 30px;
        }



    .fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .bottomRow .calendar-price-block {
        text-align: left;
        font-size: 20px;
        font-weight: 700;
        padding: 0px 6px;
        color: var(--dark-text-color);
        font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
    }

    .fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .bottomRow .calendar-luggage-block {
        text-align: center;
        max-height: 25px;
        position: absolute;
        bottom: 3px;
        left: auto;
        right:-10px;
        transform: translateX(-50%);
    }

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content.selected .bottomRow .calendar-luggage-block, .fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content.best-price .bottomRow .calendar-luggage-block {
    bottom: 3px;
    /*left: 15px;*/
}


.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .bottomRow .calendar-luggage-block img {
    max-height: 20px;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .bottomRow .calendar-price-block small {
    font-size: 13px;
    font-weight: 300;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content.selected .bottomRow .calendar-price-block {
    font-size: 25px !important;
    line-height: 1.2;
    color: white;
    font-weight: 700;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .bottomRow .calendar-bottom-text {
    text-align: left;
    padding-left: 8px;
    font-size: 13px;
}

    .fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .bottomRow .calendar-bottom-text.hotelonly {
        text-align: center;
        padding-right: 0px;
        font-size: 10px;
    }

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content:hover {
    cursor: pointer;
    border: 1px solid #000;
    box-shadow: 0px 0px 4px 2px rgba(0, 0, 0, 0.15);
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .fa-plane {
    transform: rotate(320deg);
}

.fc-view.fc-month-view .fc-content.best-price {
    color: green !important;
    font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
}

    .fc-view.fc-month-view .fc-content.best-price.selected {
        color: white !important;
    }

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content.best-price.selected .bottomRow .calendar-price-block {
    color: white !important;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content.best-price.selected .day {
    color: white !important;
}


.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content.best-price .bottomRow .calendar-price-block {
    color: green !important;
    line-height: 1.2;
    font-weight: 700;
    padding-right: 0px;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content .topRow.HighLighted {
    background: var(--primary-color);
    z-index: 99;
    padding-bottom: 5px;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content.highlighted .day {
    color: white !important;
    z-index: 9999;
    position: absolute;
}

.fc-view.fc-month-view .fc-content-skeleton table tbody .fc-event-container .fc-event .fc-content.best-price .day {
    color: var(--dark-text-color);
}
.productDetailPage .cp-calendar-footer {
}

.productDetailPage .cp-calendar-footer ul.symbols{
    margin: 0px 10px;
}


    .productDetailPage .cp-calendar-footer .info-round-grey {
        display: inline-block;
        width: auto;
        background: #99a6af;
        color: white;
        font-weight: 700;
        padding: 5px 15px;
        border-radius: var(--main-border-radius);
    }

    .productDetailPage .cp-calendar-footer .info-square-primary {
        display: inline-block;
        background: var(--primary-color);
        color: white;
        padding: 5px 15px;
        float: right;
        margin: 0px 15px;
        border-radius: var(--small-border-radius);
    }

        .productDetailPage .cp-calendar-footer .info-square-primary i {
            margin-right: 7px;
        }


    .productDetailPage .cp-calendar-footer .cp-calendar-symbol {
        width: 20px;
        height: 20px;
        overflow: hidden;
        display: inline-block;
        margin: auto;
        border: 1px solid #878585;
        border-radius: var(--small-border-radius);
        padding: 3px;
        text-align: center;
        vertical-align: middle;
    }

        .productDetailPage .cp-calendar-footer .cp-calendar-symbol.call-to-book {
            padding: 0px !important;
        }
        .productDetailPage .cp-calendar-footer .cp-calendar-symbol-text {
            text-align: center;
            display: inline-block;
        }

    .productDetailPage .cp-calendar-footer .cp-calendar-symbol img {
        width: 100%;
        margin: auto;
        vertical-align: baseline;
    }

    .productDetailPage .cp-calendar-footer .cp-calendar-symbol.selected {
        background: var(--primary-color);
        border: 1px solid #707070;
    }

    .productDetailPage .cp-calendar-footer .cp-calendar-symbol.best-price {
        background: green;
        border: 1px solid #707070;
        font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
    }

    .productDetailPage .cp-calendar-footer .cp-calendar-symbol.available {
        background: white;
        border: 1px solid #707070;
    }

/**** PRODUCT PAGE CALENDAR END *****/


/********* ROOM DETAILS POPUP *********/

.roomDetailsPopup .modal-dialog {
    width: 80%;
    max-width: 1250px;
    height: auto;
    top: 50%;
    transform: translateY(-50%) !important;
}

    .roomDetailsPopup .modal-dialog .modal-content {
        border-radius: var(--main-border-radius);
    }


        .roomDetailsPopup .modal-dialog .modal-content .bodyCloseIcon {
            position: absolute;
            top: 15px;
            right: 15px;
            font-size: 35px;
            color: gray;
        }

        .roomDetailsPopup .modal-dialog .modal-content .carousel-room-thumbnail {
            margin-top: 10px;
        }

            .roomDetailsPopup .modal-dialog .modal-content .carousel-room-thumbnail li.splide__slide {
                border-radius: var(--main-border-radius);
            }

        .roomDetailsPopup .modal-dialog .modal-content .carousel-room li.splide__slide {
            border-radius: var(--main-border-radius);
        }

        .roomDetailsPopup .modal-dialog .modal-content .carousel-room .splide__track {
            border-radius: var(--main-border-radius);
            overflow: hidden;
            margin-bottom: 35px;
        }

        .roomDetailsPopup .modal-dialog .modal-content .carousel-room .splide__list {
            padding-bottom: 0px !important;
        }


.accordion .accordion-header .btn.collapsed:after, .accordion .accordion-header .accordion-button.collapsed:after {
    transform: rotate(90deg);
}
.accordion .accordion-header .btn.collapsed:after, .accordion .accordion-header .accordion-button:after {
    transform: rotate(270deg);
}


/*******Product Page loader Start*********/
/*#loader-alt {
    position: absolute;
    z-index: 99;
    display: block;
    cursor: wait;
    background-color: rgba(243, 243, 243, .9) !important;
}

.loader-overlay > img {
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%,-50%);
}

#loader-alt img {
    max-width: 250px;
}

#loader-alt .row.loader-items {
    max-width: 350px;
    background: white;
    border-radius: var(--main-border-radius);
    padding: 20px;
    margin: 0 auto;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%,-50%);
}*/
/*******Product Page loader end *********/
/*******Product Page Calendar Tooltip Start *********/
.cp-calendar-wrap {
    position: relative;
}

.calendar-tooltip {
    max-width: 380px;
    display: none;
    border-radius: var(--main-border-radius);
    background: #fff;
    overflow: hidden;
    border: 1px solid #d3d3d3;
}

.calendar-tooltip-header {
    background: var(--primary-color);
    color: #fff;
}

    .calendar-tooltip-header h2 {
        font-size: 22px;
        color: #fff;
        margin-left: 10px;
    }

    .calendar-tooltip-header .price strong {
        font-size: 32px;
        font-family: BlinkMacSystemFont,-apple-system,Segoe UI,Roboto,Helvetica,Arial,sans-serif;
    }

    .calendar-tooltip-header .price small {
        font-size: inherit;
    }

.calendar-tooltip .calendar-tooltip-body .holiday-data, .calendar-tooltip .holiday-data-text p {
    font-size: 12px;
    color: #4F5050;
}

.calendar-tooltip holiday-data-text {
    font-size: 15px;
}

.calendar-tooltip.active {
    display: block;
    position: absolute;
    z-index: 999999999999999999999;
}


/*******Product Page Calendar Tooltip End *********/
.blank {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(211, 211, 211, 0.65); /* lightgray with transparency */
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px; /* Adjust size as necessary */
    color: #000; /* Text color */
}

.blur #calendar {
    filter: blur(3px) grayscale(1);
}
.blur .cp-calendar-footer {
    filter: blur(4px) grayscale(1);
}
